Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.convention
Interface ConventionsService

All Known Implementing Classes:
  ConventionsServiceImpl

    public interface ConventionsService

This interface defines the conventions that are used by the convention plugin. In most cases the methods on this class will provide the best default for any values and also handle locating overrides of the default via the annotations that are part of the plugin.

Method Summary
`String` | `determineResultPath(com.opensymphony.xwork2.config.entities.ActionConfig actionConfig)` Delegates to the other method but first looks up the Action's class using the given class name.
`String` | `determineResultPath(Class<?> actionClass)` Locates the result location from annotations on the action class or the package or returns the default if no annotations are present.
`Map<String,com.opensymphony.xwork2.config.entities.ResultTypeConfig>` | `getResultTypesByExtension(com.opensymphony.xwork2.config.entities.PackageConfig packageConfig)` Returns a mapping between the result type strings and the `ResultTypeConfig` instances based on the `PackageConfig` given.

Method Detail

### determineResultPath

    String determineResultPath(Class<?> actionClass)

  Locates the result location from annotations on the action class or the package or returns the default if no annotations are present.

  Parameters:
    `actionClass` - The action class.
  Returns:
    The result location if it is set in the annotations. Otherwise, the default result location is returned.

### determineResultPath

    String determineResultPath(com.opensymphony.xwork2.config.entities.ActionConfig actionConfig)

  Delegates to the other method but first looks up the Action's class using the given class name.

  Parameters:
    `actionConfig` - (Optional) The configuration for the action that the result is being built for or null if the default result path is needed.
  Returns:
    The result location if it is set in the annotations for the class of the ActionConfig. Otherwise, the default result location is returned. If null is passed in, the default is returned,

### getResultTypesByExtension

    Map<String,com.opensymphony.xwork2.config.entities.ResultTypeConfig> getResultTypesByExtension(com.opensymphony.xwork2.config.entities.PackageConfig packageConfig)

  Returns a mapping between the result type strings and the `ResultTypeConfig` instances based on the `PackageConfig` given.

  Parameters:
    `packageConfig` - The PackageConfig to get the result types for.
  Returns:
    The result types or an empty Map of nothing is configured.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.